#include "K26IsLastCrowRemovalReasonDueToInteraction.h"
#include "FK26AttachedCrowRemovalReason.h"
#include "Net/UnrealNetwork.h"

class AK26AttachedCrow;
class ASurvivor;
class AKiller;

void UK26IsLastCrowRemovalReasonDueToInteraction::OnSurvivorStatusIndicatorSet(AK26AttachedCrow* attachedCrow)
{

}

void UK26IsLastCrowRemovalReasonDueToInteraction::OnRep_OwningAttachedCrow()
{

}

void UK26IsLastCrowRemovalReasonDueToInteraction::OnLastRemovalReasonSet(FK26AttachedCrowRemovalReason lastCrowRemovalReason)
{

}

void UK26IsLastCrowRemovalReasonDueToInteraction::Authority_OnSurvivorStatusIndicatorSet(const ASurvivor* survivor, AK26AttachedCrow* attachedCrow)
{

}

void UK26IsLastCrowRemovalReasonDueToInteraction::Authority_OnKillerSet(AKiller* killer)
{

}

void UK26IsLastCrowRemovalReasonDueToInteraction::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UK26IsLastCrowRemovalReasonDueToInteraction, _owningAttachedCrow);
}

UK26IsLastCrowRemovalReasonDueToInteraction::UK26IsLastCrowRemovalReasonDueToInteraction()
{

}
